Bug 753970 (CVE-2011-4116) - CVE-2011-4116 perl: File::Temp insecure temporary file handling
Summary: CVE-2011-4116 perl: File::Temp insecure temporary file handling
Status: CLOSED WONTFIX
Alias: CVE-2011-4116
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
(Show other bugs)
Version: unspecified
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL: https://rt.perl.org/rt3/Public/Bug/Di...
Whiteboard: impact=low,public=20110627,reported=2...
Keywords: Security
Depends On: 754107
Blocks: 753972
TreeView+ depends on / blocked
 
Reported: 2011-11-15 00:48 UTC by Vincent Danen
Modified: 2015-08-22 06:54 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-22 06:54:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Vincent Danen 2011-11-15 00:48:14 UTC
A flaw was reported [1] in how perl's File::Temp module created temporary files and directories.  File::Temp would create a file or directory without checking first whether or not the directory it was creating the file in, or a parent directory, was owned by root or the calling user in the case of symlinks or hardlinks.  A malicious local attacker could use this to direct where temporary files were being created.

The upstream report has some discussion around how to fix the flaw, but does not have a patch.

[1] https://rt.cpan.org/Public/Bug/Display.html?id=69106

Comment 1 Tomas Hoger 2011-11-15 07:46:04 UTC
Solar Designer's comments on this issue:
http://thread.gmane.org/gmane.comp.security.oss.general/6174/focus=6177

Comment 2 Ramon de C Valle 2011-11-15 12:28:12 UTC
Solar has made concise comments about File::Temp safety levels, and whether this is a security issue. Regardless of the approach chosen from https://rt.cpan.org/Public/Bug/Display.html?id=69106#txn-999472 (I'd choose the 2), we are deferring this.

Comment 4 Ramon de C Valle 2011-11-15 12:34:17 UTC
Created perl tracking bugs for this issue

Affects: fedora-all [bug 754107]

Comment 5 Petr Pisar 2012-02-14 17:01:18 UTC
This issue has emerged on <https://rt.perl.org/rt3/Public/Bug/Display.html?id=110730>.

Comment 8 Vincent Danen 2015-08-22 06:54:04 UTC
Statement:

Red Hat Product Security has rated this issue as having Low security impact. This issue is not currently planned to be addressed in future updates. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.


Note You need to log in before you can comment on or make changes to this bug.